declare class BaseTransformer {
    static fetchCollection<T = any>(items: T[], camelKey?: boolean): (Record<string, any> | T)[];
    static sendCollection<T = any>(items: T[], snakeKey?: boolean): ({
        [p: string]: any;
    } | T)[];
    static fetch<T = any>(item: T, camelKey?: boolean): T | Record<string, any>;
    static send<T = any>(item: T, snakeKey?: boolean): {
        [key: string]: any;
    };
}
export default BaseTransformer;
