import BaseTransformer from './BaseTransformer';
export interface PaginationOptions {
    perPage: number;
    totalPages: number;
    totalCount: number;
    limit: number;
    currentPage: number;
    total: number;
    links?: string | number;
    count: number;
    page: number;
    itemsPerPage?: number;
    pageCount: number;
    itemsLength: number;
    pageStart?: number;
    pageStop?: number;
    include?: string | string[];
}
export interface MetaOptions {
    pagination?: PaginationOptions;
    include?: string | string[];
}
declare class PaginationTransformer extends BaseTransformer {
    static fetch(meta: MetaOptions | Record<string, any>): Record<string, any>;
}
export default PaginationTransformer;
