declare class Validator {
    errors: Record<string, any>;
    successful: boolean;
    processing: boolean;
    constructor();
    add(attribute: string, message: string): void;
    has(field: any | any[]): boolean;
    first(field: any | any[]): string;
    firstBy(obj: Record<string, any>, field?: string): any;
    missed(field?: string | string[]): boolean;
    nullState(field?: string | string[]): boolean | null;
    any(fields?: string[], returnObject?: boolean): boolean | string[] | any;
    get(field: string): string | string[];
    all(): Record<string, any>;
    count(): number;
    fill(errors: Record<string, any>): void;
    flush(): void;
    clear(attribute?: string | string[]): void;
    isValid(): boolean;
    onKeydown(event: any, prefix?: string): void;
}
export type { Validator as ValidatorType };
declare const _default: Validator;
export default _default;
