"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseProxy_1 = __importDefault(require("../core/BaseProxy"));
class PostProxy extends BaseProxy_1.default {
    constructor(parameters = {}) {
        super('posts', parameters);
    }
    tags(id) {
        return this.submit('get', `${id}/tags`);
    }
    throwException(id) {
        return this.submit('unlink', `${id}/tags`);
    }
}
exports.default = PostProxy;
